<?php

namespace App\DataFixtures;

use App\Entity\Project;
use App\Entity\Tag;
use App\Entity\Task;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;

class AppFixtures extends Fixture
{
    public function load(ObjectManager $manager): void
    {
        $tag = new Tag();
        $tag->setName('test');
        $manager->persist($tag);

        $task = new Task();
        $task->setName('PR52 D’un canal à l’autre');
        $task->setDescription('boucle au départ du port de Plaisance');
        $task->setStatus(Task::STATUS_TODO);
        $task->setOsm('<osm version="0.6"><node id="-9" visible="true" lat="43.63830433701708" lon="4.2980814067025035"><tag k="name" v="A SUPPRIMER" /></node><relation id="-1" action="modify"><member type="node" ref="-9" role="A SUPPRIMER" /><tag k="type" v="route" /><tag k="route" v="hiking" /><tag k="network" v="lwn" /><tag k="roundtrip" v="yes" /><tag k="ref" v="PR 52" /><tag k="name" v="D’un canal à l’autre" /><tag k="source" v="CD30" /><tag k="from" v="port de Plaisance" /><tag k="to" v="port de Plaisance" /><tag k="ele:min" v="0" /><tag k="ele:max" v="33" /></relation></osm>');
        $task->setGeojson(<<<GEOJSON
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "properties": {
        "_gpxType": "trk",
        "name": "PR52 D’un canal à l’autre",
        "coordinateProperties": {}
      },
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [
            4.298081406702503,
            43.63830433701708
          ],
          [
            4.298054511100057,
            43.638241909889686
          ],
          [
            4.298027914920056,
            43.63818844633968
          ],
          [
            4.298000083960014,
            43.63809904146967
          ],
          [
            4.297949052780044,
            43.63805501163992
          ],
          [
            4.297936680869963,
            43.63805523583965
          ],
          [
            4.297811418349983,
            43.638012551109675
          ],
          [
            4.297051795140046,
            43.63788245834965
          ],
          [
            4.296976946780057,
            43.637865832239655
          ],
          [
            4.296179903449945,
            43.63772742032964
          ],
          [
            4.295966189779981,
            43.63763238940966
          ],
          [
            4.295305858530001,
            43.63750947794967
          ],
          [
            4.293736537319973,
            43.6372321762697
          ],
          [
            4.291071754259957,
            43.63677684025971
          ],
          [
            4.290436801729974,
            43.636671423009645
          ],
          [
            4.289938246820025,
            43.63657253135968
          ],
          [
            4.289688355229965,
            43.63650511398972
          ],
          [
            4.289389285189965,
            43.6364475742997
          ],
          [
            4.288614872669975,
            43.63624576297964
          ],
          [
            4.288377355619973,
            43.6361781194897
          ],
          [
            4.288314576379959,
            43.63615227895961
          ],
          [
            4.288276540269947,
            43.63612599222963
          ],
          [
            4.288199546689962,
            43.636046462679744
          ],
          [
            4.287985852600011,
            43.63595141613971
          ],
          [
            4.286340637039946,
            43.63526179723969
          ],
          [
            4.285473517799979,
            43.634881816919716
          ],
          [
            4.284456729569978,
            43.63446856033968
          ],
          [
            4.280876776410055,
            43.63294155341966
          ],
          [
            4.28071411931994,
            43.63289053044965
          ],
          [
            4.279973228090049,
            43.63258016708967
          ],
          [
            4.278894355773638,
            43.632150118578345
          ],
          [
            4.27889405579001,
            43.63214999899968
          ],
          [
            4.278794173149939,
            43.632124819069645
          ],
          [
            4.278630603370019,
            43.632046836989666
          ],
          [
            4.278504451660047,
            43.63197717406971
          ],
          [
            4.278341188309954,
            43.63190817688965
          ],
          [
            4.278064450779974,
            43.631778279479875
          ],
          [
            4.277949472409954,
            43.63195872657977
          ],
          [
            4.27790421590995,
            43.632029751809746
          ],
          [
            4.277806587799977,
            43.63218296802979
          ],
          [
            4.277641407309991,
            43.63244219794982
          ],
          [
            4.277262951020004,
            43.63296146217974
          ],
          [
            4.277096477140058,
            43.633162245459815
          ],
          [
            4.276954438659971,
            43.63335359956981
          ],
          [
            4.276810567150035,
            43.633491041379834
          ],
          [
            4.276702892089945,
            43.633600861609786
          ],
          [
            4.27646127202005,
            43.63377601851977
          ],
          [
            4.276327632450007,
            43.63385034047978
          ],
          [
            4.276219039980048,
            43.633933204209725
          ],
          [
            4.276123428829949,
            43.634033816829785
          ],
          [
            4.276028427760019,
            43.634152400139826
          ],
          [
            4.27573623911006,
            43.6346611224298
          ],
          [
            4.275632221810032,
            43.63487876615976
          ],
          [
            4.275519799280012,
            43.635213441239785
          ],
          [
            4.275393173200055,
            43.635494425709766
          ],
          [
            4.275305186029958,
            43.63581967211981
          ],
          [
            4.275190624019999,
            43.63609144945981
          ],
          [
            4.275086601999957,
            43.63630909288983
          ],
          [
            4.275029930250047,
            43.636462952249786
          ],
          [
            4.274960886540006,
            43.636617033219785
          ],
          [
            4.274844795979964,
            43.636843883449785
          ],
          [
            4.274763074530056,
            43.63698920047982
          ],
          [
            4.274561904759939,
            43.63726252818981
          ],
          [
            4.274492248820025,
            43.63739863814981
          ],
          [
            4.274355375810024,
            43.63774274110977
          ],
          [
            4.273891728580038,
            43.63903673336975
          ],
          [
            4.273892338409969,
            43.639054704159804
          ],
          [
            4.273745219789965,
            43.63946192606976
          ],
          [
            4.273678912959996,
            43.639696875199746
          ],
          [
            4.273474196899953,
            43.64023099977974
          ],
          [
            4.273391552529991,
            43.64034935989977
          ],
          [
            4.273349073809965,
            43.640556909969746
          ],
          [
            4.273256924879995,
            43.641124983609785
          ],
          [
            4.273078288709998,
            43.64206323068989
          ],
          [
            4.272874836719986,
            43.64190503453968
          ],
          [
            4.272760433559947,
            43.64181717223964
          ],
          [
            4.272443190580014,
            43.64158908373969
          ],
          [
            4.272279602359976,
            43.64151109149966
          ],
          [
            4.271874840160046,
            43.64125759394985
          ],
          [
            4.271823046190025,
            43.64126391568971
          ],
          [
            4.271702231409953,
            43.641278661709656
          ],
          [
            4.271006314560056,
            43.641201192349946
          ],
          [
            4.270956823770031,
            43.641202076819646
          ],
          [
            4.27089465581994,
            43.64119419694966
          ],
          [
            4.270832183429938,
            43.64117733159966
          ],
          [
            4.270795065350047,
            43.641177994889674
          ],
          [
            4.270720220319975,
            43.6411613505797
          ],
          [
            4.270496903069994,
            43.64114735905972
          ],
          [
            4.269323018189975,
            43.641213280579684
          ],
          [
            4.268854071789937,
            43.641257616499715
          ],
          [
            4.268013638619988,
            43.64129958887965
          ],
          [
            4.267729065759958,
            43.64130466637968
          ],
          [
            4.26738293306996,
            43.641319832109666
          ],
          [
            4.266147177290023,
            43.6413868226897
          ],
          [
            4.265603990329949,
            43.64143246787969
          ],
          [
            4.2654573387,
            43.641489026459716
          ],
          [
            4.265396385580058,
            43.64151708518969
          ],
          [
            4.265384619969994,
            43.641535276559665
          ],
          [
            4.265360481550048,
            43.64155368838963
          ],
          [
            4.265289584109972,
            43.641653851089636
          ],
          [
            4.265254287100059,
            43.64170842514973
          ],
          [
            4.265184603519963,
            43.6418445295697
          ],
          [
            4.265149306290007,
            43.641899103589715
          ],
          [
            4.265066035139999,
            43.64199948662967
          ],
          [
            4.265018061249982,
            43.64204529560968
          ],
          [
            4.264957107309945,
            43.64207335410969
          ],
          [
            4.264895546270013,
            43.64208344167968
          ],
          [
            4.264821308770022,
            43.64208476417969
          ],
          [
            4.264734394890012,
            43.64207732157968
          ],
          [
            4.264572636590019,
            43.642053230329715
          ],
          [
            4.264361690270022,
            43.64203900575964
          ],
          [
            4.263915962230015,
            43.642037952319704
          ],
          [
            4.263842331500046,
            43.642057245059675
          ],
          [
            4.263683606910044,
            43.64212300698973
          ],
          [
            4.263524275359957,
            43.642170797809726
          ],
          [
            4.263290402579942,
            43.64221092437974
          ],
          [
            4.26261201243004,
            43.64228593345971
          ],
          [
            4.262302991350026,
            43.64230042244971
          ],
          [
            4.262179564709948,
            43.64231160907963
          ],
          [
            4.261894380200009,
            43.64229870032973
          ],
          [
            4.261608892810024,
            43.64227680535964
          ],
          [
            4.261471881229973,
            43.642252269379725
          ],
          [
            4.261222301360046,
            43.64219377146969
          ],
          [
            4.261072917179939,
            43.64216945498973
          ],
          [
            4.260772331960028,
            43.6420669086797
          ],
          [
            4.260635321219992,
            43.642042371649886
          ],
          [
            4.260612392450032,
            43.64209672427974
          ],
          [
            4.260436185739954,
            43.64237857239976
          ],
          [
            4.260306744329961,
            43.64257867151975
          ],
          [
            4.260199928670005,
            43.64271543251977
          ],
          [
            4.260106091179947,
            43.64286994446983
          ],
          [
            4.260001999280009,
            43.643087574499795
          ],
          [
            4.259854771160013,
            43.64349477874978
          ],
          [
            4.259748558160029,
            43.6436495103298
          ],
          [
            4.259700614775835,
            43.643695282482305
          ],
          [
            4.259700578599951,
            43.64369531701982
          ],
          [
            4.259653507080027,
            43.64376808009983
          ],
          [
            4.259606132730039,
            43.64383185769993
          ],
          [
            4.259583504950058,
            43.643895195659795
          ],
          [
            4.259527691950013,
            43.64407600422981
          ],
          [
            4.25940762614006,
            43.64455465238979
          ],
          [
            4.259327972900045,
            43.64476285697982
          ],
          [
            4.259263719090052,
            43.64506069660979
          ],
          [
            4.259151785840062,
            43.645413328259764
          ],
          [
            4.259025056550039,
            43.64569429570974
          ],
          [
            4.258885044439946,
            43.645948526329754
          ],
          [
            4.258828319489953,
            43.64610237835981
          ],
          [
            4.258737498389991,
            43.64634674445979
          ],
          [
            4.258667638580047,
            43.64651232045978
          ],
          [
            4.258634302629982,
            43.646591330229775
          ],
          [
            4.258541059590057,
            43.64676381227982
          ],
          [
            4.258506963080008,
            43.64685432633984
          ],
          [
            4.258463517810034,
            43.64703491507976
          ],
          [
            4.258415563850058,
            43.647449346569815
          ],
          [
            4.258398378719971,
            43.64767442350975
          ],
          [
            4.25837665564995,
            43.64776471790979
          ],
          [
            4.258338957070028,
            43.64811603135978
          ],
          [
            4.258340167150019,
            43.648151973379846
          ],
          [
            4.258288581210041,
            43.64845857902979
          ],
          [
            4.258269882749983,
            43.648638728569786
          ],
          [
            4.258255116769948,
            43.64893568979976
          ],
          [
            4.258270516290011,
            43.64902532527976
          ],
          [
            4.25832485438999,
            43.649168214839825
          ],
          [
            4.258427207639994,
            43.649633923949736
          ],
          [
            4.258442305110045,
            43.64971457392982
          ],
          [
            4.258457402619944,
            43.649795223899794
          ],
          [
            4.258441729669993,
            43.650065228859766
          ],
          [
            4.258356346149971,
            43.6504713347698
          ],
          [
            4.258324667400043,
            43.6506337332298
          ],
          [
            4.25830536327999,
            43.6507959120198
          ],
          [
            4.258308099049994,
            43.650877167889746
          ],
          [
            4.25831201891,
            43.65099359359977
          ],
          [
            4.258333772260018,
            43.65127192529979
          ],
          [
            4.258330775869942,
            43.651550696409814
          ],
          [
            4.258323241400041,
            43.65169468456981
          ],
          [
            4.258273164809978,
            43.652046218709835
          ],
          [
            4.258251439859968,
            43.652136513379766
          ],
          [
            4.258090590669955,
            43.652507995529824
          ],
          [
            4.258032042079989,
            43.65260793464983
          ],
          [
            4.257758022909986,
            43.653296106729826
          ],
          [
            4.257712150810042,
            43.65340481168975
          ],
          [
            4.257587513690032,
            43.65374867799976
          ],
          [
            4.257403718940025,
            43.65417451204978
          ],
          [
            4.25735663582999,
            43.65424727470977
          ],
          [
            4.257335210999951,
            43.65434655490983
          ],
          [
            4.257232901850008,
            43.6546180974798
          ],
          [
            4.257200008120011,
            43.65474455388978
          ],
          [
            4.257109771020016,
            43.65500689133984
          ],
          [
            4.257100418870033,
            43.65509696644976
          ],
          [
            4.257055451089996,
            43.65523262794976
          ],
          [
            4.257034025349946,
            43.65533190814978
          ],
          [
            4.257014413620046,
            43.65548510172979
          ],
          [
            4.256998429940016,
            43.655746122069736
          ],
          [
            4.25699542677997,
            43.6560248940798
          ],
          [
            4.256989118000043,
            43.656573452689805
          ],
          [
            4.256983695959968,
            43.65678034029983
          ],
          [
            4.256965292979944,
            43.656969476319794
          ],
          [
            4.256892264930054,
            43.6573753636798
          ],
          [
            4.256670133239995,
            43.65813454206979
          ],
          [
            4.256624859749955,
            43.658261218119904
          ],
          [
            4.256679949169955,
            43.65824225929972
          ],
          [
            4.256735038550028,
            43.65822330043968
          ],
          [
            4.257079764729973,
            43.65816324068969
          ],
          [
            4.257597457550024,
            43.658091120149706
          ],
          [
            4.25902797526994,
            43.65791288359968
          ],
          [
            4.259410128949987,
            43.65786114274966
          ],
          [
            4.259631692250033,
            43.65782124390969
          ],
          [
            4.259729794659974,
            43.657792528589646
          ],
          [
            4.259778997209965,
            43.657782663679725
          ],
          [
            4.259888870189971,
            43.65773575722973
          ],
          [
            4.260097147809971,
            43.657669120589716
          ],
          [
            4.260725613099957,
            43.6575770350697
          ],
          [
            4.26100905578001,
            43.65753603366966
          ],
          [
            4.26109538672003,
            43.65752550821964
          ],
          [
            4.261267745490028,
            43.657495471549645
          ],
          [
            4.261489609149939,
            43.65746455448966
          ],
          [
            4.262389437549967,
            43.65734066154963
          ],
          [
            4.262574474560036,
            43.657319388229666
          ],
          [
            4.263080686500037,
            43.65727441834965
          ],
          [
            4.263760467900028,
            43.657235347699704
          ],
          [
            4.264071086829962,
            43.65726578213971
          ],
          [
            4.264146254510036,
            43.65729141679967
          ],
          [
            4.264322556569981,
            43.65737818746975
          ],
          [
            4.264449657720029,
            43.65747482490965
          ],
          [
            4.264511100897475,
            43.6575220398033
          ],
          [
            4.26451110348163,
            43.657522041789065
          ],
          [
            4.264578603190023,
            43.65759482085966
          ],
          [
            4.26469360997998,
            43.65773121865986
          ],
          [
            4.264924509319975,
            43.65760123304958
          ],
          [
            4.266034346170037,
            43.65709594876955
          ],
          [
            4.267618012559987,
            43.65632146511954
          ],
          [
            4.268434429379978,
            43.655929280349596
          ],
          [
            4.268556363389963,
            43.65587315881959
          ],
          [
            4.268740176540033,
            43.6558159328596
          ],
          [
            4.268886861739967,
            43.655759369229614
          ],
          [
            4.269218439460047,
            43.65559673109985
          ],
          [
            4.269691190349942,
            43.655376381549814
          ],
          [
            4.270725469720057,
            43.65483643374974
          ],
          [
            4.271067115140021,
            43.654686474419776
          ],
          [
            4.27118934847996,
            43.654639335489804
          ],
          [
            4.271518311310004,
            43.654480610409806
          ],
          [
            4.271591041580044,
            43.65443435572976
          ],
          [
            4.271822216550062,
            43.65431334123981
          ],
          [
            4.272382957899961,
            43.65405156962981
          ],
          [
            4.272492508539989,
            43.65399566502978
          ],
          [
            4.272638880550052,
            43.65393011087978
          ],
          [
            4.27285737097997,
            43.65380033001979
          ],
          [
            4.273222535819986,
            43.6536139793498
          ],
          [
            4.273223459716911,
            43.653613434079745
          ],
          [
            4.273489610350047,
            43.65345635523983
          ],
          [
            4.274428478080018,
            43.65302596999977
          ],
          [
            4.274964139269975,
            43.6527556427998
          ],
          [
            4.276170350810013,
            43.6521765999098
          ],
          [
            4.278861817020005,
            43.650851630099815
          ],
          [
            4.279191654109973,
            43.650719838529774
          ],
          [
            4.279569153240035,
            43.650533244819826
          ],
          [
            4.279788532640063,
            43.650430406699826
          ],
          [
            4.280130739789977,
            43.65029839019983
          ],
          [
            4.280546580939999,
            43.650147068479775
          ],
          [
            4.281317608540034,
            43.64988147360979
          ],
          [
            4.281599467260063,
            43.6497954912698
          ],
          [
            4.281930823130058,
            43.64970861872978
          ],
          [
            4.282385616460024,
            43.649610535599834
          ],
          [
            4.282754093439975,
            43.649522993279795
          ],
          [
            4.283123182109989,
            43.6494534206198
          ],
          [
            4.283825459719973,
            43.64935088106983
          ],
          [
            4.284602594480028,
            43.649264971819775
          ],
          [
            4.285467574640009,
            43.64921343936977
          ],
          [
            4.285962549800036,
            43.6492045272998
          ],
          [
            4.286296657879954,
            43.64919851037991
          ],
          [
            4.286294816320038,
            43.64914459774971
          ],
          [
            4.286317723490016,
            43.64909023941966
          ],
          [
            4.286403116159962,
            43.64905273753967
          ],
          [
            4.28647705523998,
            43.64904241478965
          ],
          [
            4.28671216766999,
            43.64903817964968
          ],
          [
            4.287245799420043,
            43.6490735201297
          ],
          [
            4.287344794179955,
            43.64907173627971
          ],
          [
            4.287443481799954,
            43.64906096688964
          ],
          [
            4.287689125689941,
            43.649002594029696
          ],
          [
            4.287946221849951,
            43.648917041289685
          ],
          [
            4.288105551780014,
            43.648869214269666
          ],
          [
            4.288240132859982,
            43.64882183321967
          ],
          [
            4.288387395259988,
            43.64878321432967
          ],
          [
            4.288815885050041,
            43.648640623319665
          ],
          [
            4.288962531890049,
            43.64858403279969
          ],
          [
            4.289206020540024,
            43.648462758559695
          ],
          [
            4.289547579240036,
            43.64831274161968
          ],
          [
            4.289754250509994,
            43.64820112129972
          ],
          [
            4.289826957990041,
            43.64815485460971
          ],
          [
            4.289911424500001,
            43.64809039374967
          ],
          [
            4.29005560877997,
            43.647961918419696
          ],
          [
            4.290162977740046,
            43.64784309826966
          ],
          [
            4.290222387760002,
            43.647770098379695
          ],
          [
            4.290655549310022,
            43.6474026415397
          ],
          [
            4.290751464869959,
            43.64731100045973
          ],
          [
            4.290810565960061,
            43.64722901485972
          ],
          [
            4.290965581699941,
            43.64705538797966
          ],
          [
            4.291024989889997,
            43.64698238767967
          ],
          [
            4.291132354969977,
            43.64686356666967
          ],
          [
            4.291133481442192,
            43.64686256287778
          ],
          [
            4.291204444279974,
            43.646799328269715
          ],
          [
            4.291337171670023,
            43.64669803099968
          ],
          [
            4.291532383030043,
            43.64661358708972
          ],
          [
            4.291911661419996,
            43.64648086330966
          ],
          [
            4.292095113069971,
            43.64641461270969
          ],
          [
            4.292512433619962,
            43.64630817245965
          ],
          [
            4.292707949789998,
            43.646232711839716
          ],
          [
            4.292830455109988,
            43.64619453416965
          ],
          [
            4.293113202230011,
            43.646135478279675
          ],
          [
            4.293347378100019,
            43.64610427253971
          ],
          [
            4.293582477920028,
            43.64610002248969
          ],
          [
            4.294152591200025,
            43.646116686949696
          ],
          [
            4.294486988569943,
            43.64611963012975
          ],
          [
            4.294733845559985,
            43.64609718298971
          ],
          [
            4.29484459206,
            43.646077197669676
          ],
          [
            4.295151158900032,
            43.645990732599685
          ],
          [
            4.295334296889964,
            43.6459154911397
          ],
          [
            4.295501410961188,
            43.6458309119075
          ],
          [
            4.295627563389982,
            43.64580229245968
          ],
          [
            4.295750990970005,
            43.645791067649675
          ],
          [
            4.295858144760132,
            43.64577656668025
          ],
          [
            4.295906424522412,
            43.645640703397035
          ],
          [
            4.295977761700017,
            43.645544206989804
          ],
          [
            4.296432940179971,
            43.64401649407984
          ],
          [
            4.29649977535996,
            43.64379950098983
          ],
          [
            4.296678925610004,
            43.643247808829784
          ],
          [
            4.296744524810012,
            43.64299487423983
          ],
          [
            4.297075259860036,
            43.642170708049804
          ],
          [
            4.297106823669976,
            43.64200829932986
          ],
          [
            4.297417686129998,
            43.642047623089795
          ],
          [
            4.29764193951994,
            43.642088515149894
          ],
          [
            4.297706186771413,
            43.64176070652393
          ],
          [
            4.297757148742662,
            43.64145596378976
          ],
          [
            4.297826886177016,
            43.640904705490016
          ],
          [
            4.297907352447556,
            43.64043884946234
          ],
          [
            4.297969331890056,
            43.64008659395959
          ],
          [
            4.298001200729994,
            43.639933170569634
          ],
          [
            4.29802316689001,
            43.639851854099554
          ],
          [
            4.29804451550998,
            43.639752566949575
          ],
          [
            4.298165173459953,
            43.63930083373956
          ],
          [
            4.298229217529308,
            43.639017966268625
          ],
          [
            4.298258231812041,
            43.63881398536228
          ],
          [
            4.298192741339971,
            43.63866197818966
          ],
          [
            4.298151302930035,
            43.638536856239725
          ],
          [
            4.298081416069938,
            43.638304358759704
          ],
          [
            4.298081406702503,
            43.63830433701708
          ]
        ]
      }
    }
  ]
}
GEOJSON);
        $manager->persist($task);

        $project = new Project();
        $project->setName('Sentiers PR Gard');
        $project->setDescription('Cf <https://lite.framacalc.org/xi8ua2l6q5-a8we>');
        $project->addTag($tag);
        $project->addTask($task);
        $manager->persist($project);

        $manager->flush();
    }
}
